org.apache.commons.net.nntp

## Interface Threadable<T extends Threadable<T>>

- Type Parameters:
    `T` - The Threadable implementation.
  All Known Implementing Classes:
    Article

      public interface Threadable<T extends Threadable<T>>

  A placeholder interface for threadable message objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDummy()` Tests whether this is a dummy instance.
    `T` | `makeDummy()` Creates a dummy instance.
    `String` | `messageThreadId()` Gets an ID.
    `String[]` | `messageThreadReferences()` Gets reference strings.
    `void` | `setChild(T child)` Sets the child instance.
    `void` | `setNext(T next)` Sets the next instance.
    `String` | `simplifiedSubject()` Gets the simplified subject.
    `boolean` | `subjectIsReply()` Tests whether this is a reply.

- - ### Method Detail

    - #### isDummy

          boolean isDummy()

      Tests whether this is a dummy instance.
      Returns:
        whether this is a dummy instance.

    - #### makeDummy

          T makeDummy()

      Creates a dummy instance.
      Returns:
        a dummy instance.

    - #### messageThreadId

          String messageThreadId()

      Gets an ID.
      Returns:
        an ID.

    - #### messageThreadReferences

          String[] messageThreadReferences()

      Gets reference strings.
      Returns:
        reference strings.

    - #### setChild

          void setChild(T child)

      Sets the child instance.
      Parameters:
        `child` - the child instance.

    - #### setNext

          void setNext(T next)

      Sets the next instance.
      Parameters:
        `next` - the next instance.

    - #### simplifiedSubject

          String simplifiedSubject()

      Gets the simplified subject.
      Returns:
        the simplified subject.

    - #### subjectIsReply

          boolean subjectIsReply()

      Tests whether this is a reply.
      Returns:
        whether this is a reply.